# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: gcc_impl_linux-64
  version: 9.4.0
source:
  - patches:
      - patches/0021-Hardcode-HAVE_ALIGNED_ALLOC-1-in-libstdc-v3-configur.patch
    sha256: 07ea650894cde75ab0f7cfbee0e69832c8a789b01efa2de3bfba7569338e24cb
    url: https://ftp.gnu.org/gnu/gcc/gcc-9.4.0/gcc-9.4.0.tar.gz
build:
  binary_relocation:
    - bin/*
    - lib/*.so*
    - libexec/**/*.so*
    - libexec/**/cc1*
    - libexec/**/collect2
    - libexec/**/gcc
    - libexec/**/lto*
    - libexec/**/plugin/gengtype
  detect_binary_files_with_prefix: false
  ignore_run_exports:
    - __glibc
  missing_dso_whitelist:
    - '*'
  number: 8
  runpath_whitelist:
    - x86_64-conda-linux-gnu/sysroot/lib/libpthread-2.12.2.so
  string: h03d3576_8
requirements:
  build:
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - gcc_bootstrap_linux-64 9.4.0 h27a28a5_0
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - sysroot_linux-64 2.12 he073ed8_14
  host:
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - libgcc-ng 9.4.0 hfa6338b_8
    - libgfortran5 >=9.4.0,<10.0a0
    - libgomp 9.4.0 hfa6338b_8
    - libsanitizer 9.4.0 h79bfe98_8
    - libstdcxx-ng 9.4.0 h79bfe98_8
    - sysroot_linux-64 2.12 he073ed8_14
  run:
    - binutils_impl_linux-64 2.36.1.*
    - libgcc-devel_linux-64 9.4.0 hd854feb_8
    - libgcc-ng >=9.4.0
    - libgomp >=9.4.0
    - libsanitizer 9.4.0 h79bfe98_8
    - libstdcxx-ng >=9.4.0
    - sysroot_linux-64
test:
  commands:
    - echo conda_cos6
    - test -f ${PREFIX}/x86_64-conda-linux-gnu/lib/libgomp.so
    - test `readlink ${PREFIX}/x86_64-conda-linux-gnu/lib/libgomp.so` == "../../lib/libgomp.so"
    - test -f ${PREFIX}/bin/x86_64-conda_cos6-linux-gnu-gcc
    - test -f ${PREFIX}/bin/x86_64-conda_cos6-linux-gnu-cpp
    - test -f ${PREFIX}/bin/x86_64-conda-linux-gnu-gcc
    - test -f ${PREFIX}/bin/x86_64-conda-linux-gnu-cpp
    - test ! -f ${PREFIX}/bin/gcc
    - test ! -f ${PREFIX}/bin/cpp
    - CC=$(${PREFIX}/bin/*-gcc -dumpmachine)-gcc
    - ${CC} -Wall tests/aligned_alloc.c -c -o c_aligned.o -v -fsanitize=address
    - ${CC} -Wall tests/aligned_alloc.c -c -o c_aligned.o -v
    - ${CC} -Wall c_aligned.o -o c_aligned -v && ./c_aligned
    - test -f ${PREFIX}/x86_64-conda-linux-gnu/lib/libgcc_s.so
    - test -f ${PREFIX}/x86_64-conda-linux-gnu/lib/libgomp.spec
    - test -f ${PREFIX}/x86_64-conda-linux-gnu/lib/libsanitizer.spec
    - test -f ${PREFIX}/x86_64-conda-linux-gnu/lib/libasan_preinit.o
  files:
    - tests
  requires:
    - sysroot_linux-64 2.12.*
about:
  home: https://gcc.gnu.org/
  license: GPL-3.0-only WITH GCC-exception-3.1
  summary: GNU C Compiler
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - beckermr
    - isuruf
